package org.rcisoft.business.cmsNotice.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsNotice.entity.CmsNotice;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface CmsNoticeRepository extends CyBaseMapper<CmsNotice> {


    List<CmsNotice> queryCmsNotice(@Param("entity") CmsNotice cmsNotice);

    /**
    * 分页查询 cmsActivity
    *
    */
    IPage<CmsNotice> queryCmsNoticePaged(CyPageInfo cyPageInfo, @Param("entity") CmsNotice cmsNotice);
    //根据id逻辑删除
    int deleteCmsNotice(@Param("businessId")Integer businessId);
    //修改状态
    int updateStatus(@Param("entity") CmsNotice cmsNotice);
    CmsNotice selectById(@Param("businessId")Integer businessId);
    //权重验重
    CmsNotice checkWeight(@Param("weight")Integer weight);

}

