package org.rcisoft.business.faceVerify.bean;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "faceverfiy.ali")
public class FaceVerifyAliComp {

    /**
     * 场景id
     */
    public Long sceneId;

    //访问密钥 ID
    public String accessKeyId;

    //访问密钥
    public String accessKeySecret;

    //区域
    public String[] endpoints;


}
