package org.rcisoft.business.faceVerify.service;

import com.aliyun.cloudauth20190307.models.InitFaceVerifyRequest;
import jakarta.servlet.http.HttpServletRequest;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.Map;

public interface FaceVerifyService {
    /**
     * 发起认证请求
     * @param memInfo
     * @return
     */
    Map<String,String> initFaceVerify(HttpServletRequest request,InitFaceVerifyRequest dto);

    /**
     * 获取认证详细数据
     * @param certifyId
     * @return
     */
    String describeFaceVerify(String userId,String certifyId);

    /**
     * 获取认证详细数据回调地址
     * @param certifyId
     * @return
     */
    void callbackFaceVerify(String callbackToken, String certifyId, String passed);
}
