package org.rcisoft.business.cmsActivity.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsActivity.entity.CmsActivity;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface CmsActivityRepository extends CyBaseMapper<CmsActivity> {


    List<CmsActivity> queryCmsActivity(@Param("entity") CmsActivity cmsActivity);

    /**
    * 分页查询 cmsActivity
    *
    */
    IPage<CmsActivity> queryCmsActivityPaged(CyPageInfo cyPageInfo, @Param("entity") CmsActivity cmsActivity);
    //根据id逻辑删除
    int deleteCmsActivity(@Param("businessId")Integer businessId);
    //修改状态
    int updateStatus(@Param("entity") CmsActivity cmsActivity);
    CmsActivity selectById(@Param("businessId")Integer businessId);
    //权重验重
    CmsActivity checkWeight(@Param("weight")Integer weight);

}

