package org.rcisoft.business.cmsApplication.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午1:42:40.
 */
public interface CmsApplicationService {

    /**
     * 保存 活动
     * @param cmsApplication
     * @return
     */
    CyPersistModel persist(CmsApplication cmsApplication);

    /**
     * 删除 活动
     * @param cmsApplication
     * @return
     */
    CyPersistModel remove(CmsApplication cmsApplication);

    /**
     * 修改 活动
     * @param cmsApplication
     * @return
     */
    CyPersistModel merge(CmsApplication cmsApplication);

    /**
    * 根据id查询 报名表
    * @param id
    * @return
    */
    CmsApplication findById(Integer id);


    /**
    * 分页查询 报名表
    * @param cmsApplication
    * @return
    */
    IPage<CmsApplication> findAllByPagination(CyPageInfo<CmsApplication> paginationUtility,
                                           CmsApplication cmsApplication);


    /**
    * 查询list 报名表
    * @param cmsApplication
    * @return
    */
    List<CmsApplication> findAll(CmsApplication cmsApplication);

}
