package org.rcisoft.business.opmArticle.dao;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsBanner.entity.CmsBanner;
import org.rcisoft.business.opmArticle.entity.ArticleCommentDTO;
import org.rcisoft.business.opmArticle.entity.LikeDTO;
import org.rcisoft.business.opmArticle.entity.OpmArticle;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;


/**
* Created with cy on 2024年3月30日 下午1:51:15.
*/

public interface OpmArticleRepository extends CyBaseMapper<OpmArticle> {


    List<OpmArticle> queryOpmArticle(@Param("entity") OpmArticle cmsBanner);

    /**
    * 分页查询 OpmArticle
    *
    */
    IPage<OpmArticle> queryOpmArticlePaged(CyPageInfo cyPageInfo, @Param("entity") OpmArticle cmsBanner);


    OpmArticle selectByIdWithUrl(String id);

    List<ArticleCommentDTO> SelectArticleComment(Integer businessId);

    int deleteComment(OpmArticle opmArticle);

    List<String> SelectPathList(Integer businessId);

    int likeAdd(@Param("entity") LikeDTO likeDTO);
}

