package org.rcisoft.core.rabbitmq.bean;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 广播模式
 */
@Configuration
@Data
public class RabbitMQConfigBean {

    // 交换器名称和队列 ：订单
    @Value("${spring.rabbitmq.orderActivityExchange}")
    public String ORDER_EXCHANGE_NAME;

    @Value("${spring.rabbitmq.orderActivityDelayExchange}")
    public String ORDER_EXCHANGE_DELAY_NAME;

    @Value("${spring.rabbitmq.orderActivityAddQueue}")
    public String ORDER_ADD_QUEUE_NAME;

    @Value("${spring.rabbitmq.orderActivityStatusQueue}")
    public String ORDER_STATUS_QUEUE_NAME;

    @Value("${spring.rabbitmq.orderActivityCloseQueue}")
    public String ORDER_CLOSE_QUEUE_NAME;

    @Value("${spring.rabbitmq.orderActivityCloseDelayQueue}")
    public String ORDER_CLOSE_QUEUE_DELAY_NAME;
}
