package org.rcisoft.core.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * <h1>Java 雪花算法</h1>
 * Created by woniu
 */
public class  TimeUtil {


    //计算两个时间相差的秒数
    public static long getTimeSecond(String startTime, String endTime) throws ParseException {
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        long eTime = df.parse(endTime).getTime();
        long sTime = df.parse(startTime).getTime();
        return (eTime - sTime) / 1000;
    }

    public static long getTimeSecond(Date startTime, Date endTime)  {
        long eTime = endTime.getTime();
        long sTime = startTime.getTime();
        return (eTime - sTime) / 1000;
    }

    /*日期加+1天*/
    public static Date getTime(Date date,int field,int amount) {
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(field,amount); //整数往后推,负数往前移动
        date=calendar.getTime(); //结果
        return date;
    }

    //获取日期加N天后的最后一秒时间
    public static Date getTimeLast(Date date,int field,int amount) {
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(field,amount); //整数往后推,负数往前移动
        calendar.set(Calendar.HOUR_OF_DAY,23);
        calendar.set(Calendar.MINUTE,59);
        calendar.set(Calendar.SECOND,59);
        date=calendar.getTime(); //结果
        return date;
    }
/**
    public static void main(String[] args) throws ParseException {
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        Date a = getTimeLast(new Date(),Calendar.DATE,2);
        System.out.println(a);
    }
 */
}
